qmsg(1B)

NAME
qmsg - send message to pbs batch jobs

SYNOPSIS
qmsg [-E] [-O] message_string job_identifier ...

DESCRIPTION
To send a message to a job is to write a message string into one or more output files of the job. Typically this is done to leave an informative message in the output of the job.

The qmsg command writes messages into the files of jobs by sending a Message Job batch request to the batch server that owns the job. The qmsg command does not directly write the message into the files of the job.

OPTIONS

-E  Specifies that the message is written to the standard error of each job.

-O  Specifies that the message is written to the standard output of each job.

If neither the nor the option is specified, the message will be written to the standard error of the job.

OPERANDS
The first operand, is the message to be written. If the string contains blanks, the string must be quoted. If the final character of the string is not a newline, a newline character will be added when written to the job's file.

All following operands are which specify the jobs to receive the message string. The qmsg command accepts one or more operands of the form:

STANDARD ERROR
The qmsg command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qmsg command, the exit status will be a value of zero.

If the qmsg command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), pbs_msgjob(3B)